#include <iostream>

using namespace std;

int main()
{
    int n=0, P=0, P2=0;
    cin>>n;
    int A[n], B[n];


    for(int i = 0; i < n; i++)
    {
        cin>>A[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin>>B[i];
    }


    for(int L = 0; L < n; L++)
    {

        int iOp  = B[L];
        int ili = 0;

        for(int R = L; R<n; R++){
            ili ^= A[R];
            iOp &= B[R];

            P2 = iOp * ili;
            if(P2 > P){
                P = P2;
            }
        }

    }
    cout<<P;
    }